UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 9400

Synplify PRO 6.0 - Warning synthesis black_box useage obsolete.

Description

Keywords: Synplify, Synplicity, PRO, 6.0, warning, black box

Urgency: Standard

General Description:

Using Synplify PRO 6.0, the following warning may be seen:
Warning synthesis black_box usage obsolete. Use syn_black_box instead

Will the synthesis black_box directive still be applied to the design?

Solution


With the release of Synplify PRO 6.0, the black_box directive syntax has
changed from synthesis black_box to syn_black_box. However, both
directives are still valid, the warning is simply stating that the old directive
may not be supported in a future software release. For more information, refer to
http://www.synplicity.com/literature/pdf/rnotes_6.0.pdf
AR# 9400
Date Created 06/01/2000
Last Updated 09/10/2002
Status Archive
Type General Article